#! /bin/sh
#-----------------------------------------------------------------------------
# /tmp/install.sh - e2fsprogs installation
#
# Creation   :  2010-05-24 holbru
# Last update:  $Id: postinstall-e2fsprogs.sh 35964 2014-08-16 14:45:29Z hbfl $
#
# Copyright (c) 2010-2014 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#-----------------------------------------------------------------------------

# set packages name
packages_name=e2fsprogs

#----------------------------------------------------------------------------
# generate symlinks
#----------------------------------------------------------------------------
lib_names="libcom_err.so.2.1 libe2p.so.2.3 libext2fs.so.2.4 libss.so.2.0"

cd /usr/lib

for LNAME in ${lib_names}
do
    lib_name=`echo "${LNAME}" | sed 's#\.so.*$##'`
    lib_major=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f1`
    lib_minor=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f2`
    lib_patch=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f3`

    LinkDES="${LNAME}"
    LinkSRC="${lib_name}.so.${lib_major}"

    rm -f ${LinkSRC}
    ln -sf ${LinkDES} ${LinkSRC}
done

cd /lib

for LNAME in ${lib_names}
do
    lib_name=`echo "${LNAME}" | sed 's#\.so.*$##'`
    lib_major=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f1`
    lib_minor=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f2`
    lib_patch=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f3`

    
    LinkDES="${LNAME}"

    rm -f ${LinkDES}
    ln -sf ../usr/lib/${LinkDES} ${LinkDES}

    
    LinkSRC="${lib_name}.so.${lib_major}"

    rm -f ${LinkSRC}
    ln -sf ../usr/lib/${LinkSRC} ${LinkSRC}

done

#----------------------------------------------------------------------------
# running ldconfig
#----------------------------------------------------------------------------
/sbin/ldconfig

#----------------------------------------------------------------------------
# generate symlinks,. UsrMerge
#----------------------------------------------------------------------------
cd /usr/sbin
for fname in fsck.ext2 fsck.ext3 fsck.ext4 fsck.ext4dev
do
    rm -f ${fname}
    ln -f e2fsck ${fname}
done
for fname in mkfs.ext2 mkfs.ext3 mkfs.ext4 mkfs.ext4dev
do
     rm -f ${fname}
     ln -f mke2fs $fname
done

rm -f e2label
ln -f tune2fs e2label


sbin_files="badblocks
debugfs
dumpe2fs
e2fsck
e2image
e2label
e2undo
fsck.ext2
fsck.ext3
fsck.ext4
fsck.ext4dev
logsave
mke2fs
mkfs.ext2
mkfs.ext3
mkfs.ext4
mkfs.ext4dev
resize2fs
tune2fs"


cd  /sbin
for _fname in ${sbin_files}
do
    rm -f ${_fname}
    ln -sf ../usr/sbin/${_fname}
done


exit 0
#----------------------------------------------------------------------------
# end
#----------------------------------------------------------------------------
